import { RootLogger } from 'loglevel';
import { OptionValues } from 'commander';
import Redis from "ioredis";
import Database from './db';
export interface ICommandContext {
    db: Database;
    dir: string;
    logger: RootLogger;
    redisClient: Redis;
    includeTarball: boolean;
    dbName: string;
    scan?: boolean;
}
export declare function dumpWithContext(commandContext: ICommandContext): Promise<void>;
/**
 * Dump Redis storage to the given directory
 * @param dir
 * @param cmd
 */
export declare function dump(dir: string, opts: OptionValues): Promise<void>;
export declare function restoreWithContext(commandContext: ICommandContext): Promise<void>;
/**
 * Restore Redis storage from the given directory
 * @param dir
 * @param cmd
 */
export declare function restore(dir: string, opts: OptionValues): Promise<void>;
