/// <reference types="node" />
import { Readable } from 'stream';
import { Logger } from '@verdaccio/types';
import { default as Redis, RedisOptions } from "ioredis";
import { VerdaccioError } from '@verdaccio/commons-api';
export declare function redisCreateClient(config: string | RedisOptions, logger: Logger): Redis;
export declare const REDIS_PREFIX = "ve:";
export declare const TEST_REDIS_PREFIX = "testve:";
export declare const REDIS_KEY: {
    secret: string;
    packages: string;
    package: string;
    token: string;
};
export declare const REDIS_FIELD: {
    stat: string;
};
export declare const VERDACCIO_DB_FILE = ".verdaccio-db.json";
export declare const PACKAGE_JSON_FILE = "package.json";
/**
 * Wrap an generic error to a verdaccio error
 *
 * @param error
 */
export declare function wrapError(err: unknown): VerdaccioError;
/**
 * Load verdaccio config file
 * @param configPath
 */
export declare function parseConfigFile(configPath: string): any;
/**
 * Convert buffer stream to base64 string
 */
export declare function bufferStreamToBase64String(stream: Readable): Promise<string>;
